#include <iostream>
#include <stdlib.h>     /* srand, rand */
#include <time.h>

using namespace std;

int main()
{
    int n,mc=0;
    cin >>n;
    int s[n];
    for(int i=0;i<n;i++)
    {
        cin>>s[i];
    }
    if(n==2){
        cout<<s[1]<<" "<<s[0]<<endl;
    }
    else{
    srand (time(NULL));
    int si = rand() % n;
    int si2 = rand() % n;
    int p=s[si];
    s[si] = s[si2];
    s[si2] = p;
    for(int i=0;i<n;i++)cout<<s[i]<<" ";
    }
    return 0;
}